package com.ruoyi.common.weixin.config;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 微信相关参数配置
 * @author Wzp
 */

@Configuration
public class WeiXinConfig {

    @Value("${wx.miniProgram.appId}")
    private String appId;

    @Value("${wx.miniProgram.appSecret}")
    private String appSecret;

    @Value("${wx.miniProgram.wxPath}")
    private String wxPath;

    @Value("${wx.miniProgram.schoolPath}")
    private String schoolPath;

    public String getSchoolPath() {
        return schoolPath;
    }

    public void setSchoolPath(String schoolPath) {
        this.schoolPath = schoolPath;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getWxPath() {
        return wxPath;
    }

    public void setWxPath(String wxPath) {
        this.wxPath = wxPath;
    }

    @Override
    public String toString() {
        return "WeiXinConfig{" +
                "appId='" + appId + '\'' +
                ", appSecret='" + appSecret + '\'' +
                ", wxPath='" + wxPath + '\'' +
                '}';
    }
}
